Download it now!
Bug 132915 - Missing cell border line after deleting a row above of a row with merged cells
Summary: Missing cell border line after deleting a row above of a row with merged cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Border Calc-Merge-Split Cell-Management
  Show dependency treegraph
 
Reported: 2020-05-10 13:13 UTC by Telesto
Modified: 2020-10-13 20:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (11.77 KB, application/vnd.oasis.opendocument.text)
2020-05-10 13:13 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-10 13:13:15 UTC
Description:
Top border line formatting , after deleting top row of a table

Steps to Reproduce:
1. Open the attached file
2. Select cell A1 & delete the row.. notice line formatting gone

Actual Results:
No line formatting

Expected Results:
Should be


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 97a2c1fc5e376c0c00968f17a0392c6d3a5ed565
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded

and in
3.3.0
Comment 1 Telesto 2020-05-10 13:13:36 UTC
Created attachment 160596 [details]
Example file
Comment 2 BogdanB 2020-05-16 17:53:40 UTC
confirm it with
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 3 Thomas Lendo QA 2020-10-13 20:38:20 UTC
Reason for this bug are the merged cells in the row below the deleted row.

Steps to reproduce without attached file:
1) Open a new Writer document.
2) Insert a table with 3 rows and 3 columns with borders.
3) Merge the cells of the row in the middle.
4) Delete the row above the merged cells.

Result:
Border at the top of the merged cells is missing.